/*отдельные стили для прозрачного хедера*/
.header-container .demo-button {
    border: 1px solid #B3CDFF;
}

.site-header {
    background-color: transparent;
}

.site-header:has(.mobile-header-menu.active){
    background: var(--white-bg);
}

.site-header.menu-active {
    background: var(--white-bg);
}

.site-header.menu-active {
    background-color: #fff;
}

.spacing {
    background: transparent;
}

.spacing.no-special {
    background: var(--white-bg);
}

.site-header.no-special {
    background-color: #fff;;
}

.menu-block li a.no-special {
    color: unset;
}

body:has(.search-popup:not(.hidden)) .site-header{
    background-color: var(--white-bg);
}

@media (hover:hover){
    .site-header:hover {
        background-color: #fff;
        transition: none;
    }
}


.share-content {
    position: relative;
    height: calc(754px - 74px);
    display: flex;
    align-items: flex-end;
}

.share-content .share-content-wrapper {
    padding: 0 0 90px 100px;
}

.share-content .video-background {
    position: absolute;
    right: 0;
    top: -74px;
    width: 100%;
    height: 754px;
    overflow: hidden;
    z-index: -1;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.share-content .video-background video {
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: auto;
    min-width: 100%;
    object-fit: cover;
}

.share-content .main-content {
    width: 980px;
}

.share-content .h1 {
    color: var(--n-black);
}

.share-content .subtitle-medium {
    margin: 24px 0 60px;
    width: 680px;
    color: var(--n-grey);
}

.share-content .get-on-your-device {
    font-weight: 800;
    font-size: 20px;
    line-height: 32px;
    letter-spacing: 0;
    color: var(--n-black);
    margin-bottom: 20px;
}

.share-content .new-download-links {
    justify-content: flex-start;
    gap: 10px;
}

.share-content .new-download-links a {
    max-width: 160px;
    min-height: 60px;
}

@media (max-width: 1919px) {
    .share-content {
        height: calc(627px - 74px);
    }
    .share-content .video-background {
        height: 627px;
    }

    .share-content .share-content-wrapper {
        padding: 0 0 80px 80px;
    }

    .share-content .main-content {
        width: 680px;
    }

    .share-content .subtitle-medium {
        margin: 24px 0 48px;
        width: 600px;
    }

    .share-content .get-on-your-device {
        font-weight: 700;
        font-size: 18px;
        line-height: 150%;
    }

    .share-content .new-download-links {
        gap: 20px;
    }

    .share-content .new-download-links a {
        max-width: 128px;
        min-height: 48px;
    }
}

@media (max-width: 1439px) {
    .share-content {
        height: calc(566px - 74px)
    }

    .share-content .video-background {
        height: 566px;
    }

    .share-content .share-content-wrapper {
        padding: 0 0 60px 60px;
    }

    .share-content .main-content {
        width: 600px;
    }

    .share-content .subtitle-medium {
        margin: 24px 0 40px;
        width: 520px;
    }

    .share-content .new-download-links {
        gap: 12px;
    }

    .share-content .get-on-your-device {
        line-height: 26px;
    }
}

@media (max-width: 1279px) {
    .share-content .share-content-wrapper {
        padding: 0 0 60px 40px;
    }

    .new-download-links {
        margin-inline-start: 0;
    }
}

@media (max-width: 1079px) {
    .share-content {
        height: auto;
        display: flex;
        flex-direction: column;
    }

    .share-content .video-background {
        height: 600px;
    }

    .share-content .video-background::before {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(180deg, rgba(234, 243, 255, 0) 60%, #EAF3FF 97.29%);
        z-index: 1;
    }

    .share-content .main-content {
        width: 100%;
    }

    .share-content .main-content h1 {
        width: 96%;
    }

    .share-content .share-content-wrapper {
        margin-top: calc(600px - 74px);
        width: 100%;
        padding: 0 48px 60px 40px;
        background-color: #EAF3FF;
    }

    .share-content .subtitle-medium {
        margin: 16px 0 40px;
        width: 520px;
        font-size: 18px;
        line-height: 26px;
    }
}

@media (max-width: 576px) {
    .share-content .share-content-wrapper {
        margin-top: calc(320px - 74px);
        padding: 0 16px 40px 16px;
    }

    .share-content .video-background {
        height: 320px;
    }

    .share-content .video-background video {
        right: -10px;
        top: -10px;
        height: 110%;
    }

    .share-content .subtitle-medium {
        margin: 12px 0 32px;
        width: 100%;
        line-height: 28px;
    }

    .share-content .get-on-your-device {
        margin-bottom: 24px;
    }

    .share-content .new-download-links a {
        max-width: 100%;
        min-height: 60px;
    }
}

